/***************************************************************************
 *   Copyright (C) 2005 by Diego 'Flameeyes' Pettenò   *
 *   flameeyes@gentoo.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ATMBOX_H
#define ATMBOX_H

#include <qstring.h>
#include "settings.h"

/**
	@author Diego 'Flameeyes' Pettenò <flameeyes@gentoo.org>
*/
class ATMbox{
friend class ATMOSserver;

public:
	ATMbox();
	ATMbox(Settings sets);
	ATMbox(const ATMbox &other);
	~ATMbox();

	QString getName()
	{ return m_name; }

	QString getHardwareAddress()
	{ return m_hwaddr; }

	bool isUp();
	bool wakeup();
private:
	QString m_name;
	QString m_host;
	QString m_hwaddr;
};

#endif
