/***************************************************************************
 *   Copyright (C) 2005 by Diego 'Flameeyes' Pettenò   *
 *   flameeyes@gentoo.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ATMOSSERVER_H
#define ATMOSSERVER_H

#include <qobject.h>
#include <qstringlist.h>
#include <qvaluelist.h>
#include <dcopobject.h>

#include "atmbox.h"
#include "settings.h"

/**
	@author Diego 'Flameeyes' Pettenò <flameeyes@gentoo.org>
*/
class ATMOSserver : public QObject, virtual public DCOPObject
{
K_DCOP
public:
	ATMOSserver();
	~ATMOSserver();

k_dcop:
	virtual void loadBoxes();
	virtual QStringList getBoxesNames();
	virtual QString getBoxHost(const QString &boxname);
	virtual bool isBoxUp(const QString &boxname);
	virtual bool renameBox(const QString &oldname, const QString &newname);
	virtual bool deleteBox(const QString &boxname);
	virtual bool wakeupBox(const QString &boxname);
	virtual void wakeup(const QString &url);

private:
	QValueList<ATMbox> m_boxes;
	Settings m_globals;
};

#endif
