/***************************************************************************
 *   Copyright (C) 2005 by Diego 'Flameeyes' Pettenò   *
 *   flameeyes@gentoo.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kcmatmosphere.h"
#include "kcmwidgetbase.h"

#include <klocale.h>
#include <kgenericfactory.h>

#include <qlayout.h>

typedef KGenericFactory<KcmAtmosphere, QWidget> KCMAtmosphereFactory;
K_EXPORT_COMPONENT_FACTORY( kcm_atmosphere, KCMAtmosphereFactory("kcmatmosphere"))

KcmAtmosphere::KcmAtmosphere(QWidget *parent, const char *name, const QStringList&)
    : KCModule(parent, name), myAboutData(0)
{
	QLayout *lay = new QBoxLayout(this, QBoxLayout::TopToBottom);
	lay->setAutoAdd(true);
	mainw = new KcmWidgetBase(this);
}

KcmAtmosphere::~KcmAtmosphere()
{
}

QString KcmAtmosphere::quickHelp() const
{
	return i18n("Here you can configure global parameters for ATMOSphere");
}

/*!
\brief Standard function to tell which buttons to show
\return KCModule::Apply
*/
int KcmAtmosphere::buttons()
{
	return KCModule::Apply;
}
