/***************************************************************************
 *   Copyright (C) 2005 by Diego 'Flameeyes' Pettenò   *
 *   flameeyes@gentoo.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KIO_ATMOSPHEREPROTOCOL_H
#define KIO_ATMOSPHEREPROTOCOL_H

#include <kio/slavebase.h>

class ATMOSserver_stub;

/**
 *@author Diego 'Flameeyes' Pettenò <flameeyes@gentoo.org>
 */
class kio_atmosphereProtocol : public KIO::SlaveBase
{
public:
	kio_atmosphereProtocol(const QCString &pool_socket, const QCString &app_socket);
	~kio_atmosphereProtocol();
	void get( const KURL &url );
	void stat( const KURL &url );
	void listDir( const KURL &url );
	void rename( const KURL &src, const KURL &dest, bool overwrite );
	void del( const KURL &url, bool isfile );

private:
	ATMOSserver_stub *m_serv;
	KIO::UDSEntry createBoxEntry(const QString &boxname, bool stat = false);
	KIO::UDSEntry createDirEntry(const QString &boxname, const QString &icon);

	void listInsideBox(const QString &boxname);
};

#endif
