/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef UTILS_H
#define UTILS_H

#include <QtGlobal>

class KBluetoothUtils
{

public:
    static quint32 classToType(quint32 classNum);
    static quint32 stringToType(const QString& stringType);
    /**
    * BluetoothType:
    * @BLUETOOTH_TYPE_ANY: any device, or a device of an unknown type
    * @BLUETOOTH_TYPE_PHONE: a telephone (usually a cell/mobile phone)
    * @BLUETOOTH_TYPE_MODEM: a modem
    * @BLUETOOTH_TYPE_COMPUTER: a computer, can be a laptop, a wearable computer, etc.
    * @BLUETOOTH_TYPE_NETWORK: a network device, such as a router
    * @BLUETOOTH_TYPE_HEADSET: a headset (usually a hands-free device)
    * @BLUETOOTH_TYPE_HEADPHONES: headphones (covers two ears)
    * @BLUETOOTH_TYPE_OTHER_AUDIO: another type of audio device
    * @BLUETOOTH_TYPE_KEYBOARD: a keyboard
    * @BLUETOOTH_TYPE_MOUSE: a mouse
    * @BLUETOOTH_TYPE_CAMERA: a camera (still or moving)
    * @BLUETOOTH_TYPE_PRINTER: a printer
    * @BLUETOOTH_TYPE_JOYPAD: a joypad, joystick, or other game controller
    * @BLUETOOTH_TYPE_TABLET: a drawing tablet
    *
    * The type of a Bluetooth device. See also %BLUETOOTH_TYPE_INPUT and %BLUETOOTH_TYPE_AUDIO
    **/
    enum  BluetoothType {
        BLUETOOTH_TYPE_ANY      = 1 << 0,
        BLUETOOTH_TYPE_PHONE        = 1 << 1,
        BLUETOOTH_TYPE_MODEM        = 1 << 2,
        BLUETOOTH_TYPE_COMPUTER     = 1 << 3,
        BLUETOOTH_TYPE_NETWORK      = 1 << 4,
        BLUETOOTH_TYPE_HEADSET      = 1 << 5,
        BLUETOOTH_TYPE_HEADPHONES   = 1 << 6,
        BLUETOOTH_TYPE_OTHER_AUDIO  = 1 << 7,
        BLUETOOTH_TYPE_KEYBOARD     = 1 << 8,
        BLUETOOTH_TYPE_MOUSE        = 1 << 9,
        BLUETOOTH_TYPE_CAMERA       = 1 << 10,
        BLUETOOTH_TYPE_PRINTER      = 1 << 11,
        BLUETOOTH_TYPE_JOYPAD       = 1 << 12,
        BLUETOOTH_TYPE_TABLET       = 1 << 13,
    };
};

#endif // UTILS_H
