/***************************************************************************
 *   Copyright (C) 2010  Alex Fiestas <alex@eyeos.org>                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "createpaireddevice.h"

CreatePairedDevice::CreatePairedDevice(const QString& finalDev,
                                       QObject* parent) : QThread(parent)
{
    Solid::Control::BluetoothManager &btmanager(Solid::Control::BluetoothManager::self());
    m_iface = new Solid::Control::BluetoothInterface(btmanager.defaultInterface());
    m_finalDev = finalDev;
}

void CreatePairedDevice::run()
{
    m_iface->createPairedDevice(m_finalDev, "/testInput", "DisplayYesNo");
    exec();
}