# - Try to find LibExslt
# Once done this will define
#
#  LIBEXSLT_FOUND - system has LibExslt
#  LIBEXSLT_INCLUDE_DIR - the LibExslt include directory
#  LIBEXSLT_LIBRARIES - Link these to LibExslt
#  LIBEXSLT_DEFINITIONS - Compiler switches required for using LibExslt

# Copyright (c) 2009, Michael Leupold, <lemma@confuego.org>
#
# Based on FindLibXslt.cmake
# Copyright (c) 2006, Alexander Neundorf, <neundorf@kde.org>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

IF (LIBEXSLT_INCLUDE_DIR AND LIBEXSLT_LIBRARIES)
   # in cache already
   SET(LibExslt_FIND_QUIETLY TRUE)
ENDIF (LIBEXSLT_INCLUDE_DIR AND LIBEXSLT_LIBRARIES)

IF (NOT WIN32)
   # use pkg-config to get the directories and then use these values
   # in the FIND_PATH() and FIND_LIBRARY() calls
   INCLUDE(UsePkgConfig)
   PKGCONFIG(libexslt _LibExsltIncDir _LibExsltLinkDir _LibExsltLinkFlags _LibExsltCflags)
   SET(LIBEXSLT_DEFINITIONS ${_LibExsltCflags})
ENDIF (NOT WIN32)

FIND_PATH(LIBEXSLT_INCLUDE_DIR libexslt/exslt.h
    ${_LibExsltIncDir}
  )

FIND_LIBRARY(LIBEXSLT_LIBRARIES NAMES exslt libexslt
    PATHS
    ${_LibExsltLinkDir}
  )

INCLUDE(FindPackageHandleStandardArgs)

# handle the QUIETLY and REQUIRED arguments and set LIBEXSLT_FOUND to TRUE if
# all listed variables are TRUE
FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibExslt DEFAULT_MSG LIBEXSLT_LIBRARIES LIBEXSLT_INCLUDE_DIR)

MARK_AS_ADVANCED(LIBEXSLT_INCLUDE_DIR LIBEXSLT_LIBRARIES)
