/**
 * Copyright 2009  Michael Leupold <lemma@confuego.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) version 3, or any
 * later version accepted by the membership of KDE e.V. (or its
 * successor approved by the membership of KDE e.V.), which shall
 * act as a proxy defined in Section 6 of version 3 of the license.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PLUGINXSLT_H
#define PLUGINXSLT_H

#include <KParts/Plugin>
#include <DOM/Document>

class PluginXslt : public KParts::Plugin
{
    Q_OBJECT

public:
    PluginXslt(QObject *parent, const QVariantList &);
    virtual ~PluginXslt();

private Q_SLOTS:
    void slotXslTransform();
    QString findStyleSheetUrl(const DOM::Document &doc) const;

private:
    QHash<QString, QString> m_publicIdToXsl;
    QHash<QString, QString> m_systemIdToXsl;
    QHash<QString, QString> m_xmlnsToXsl;
};

#endif
