/*
* Copyright (C) 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/



#ifndef SENDTOPLUGIN_H
#define SENDTOPLUGIN_H

#include <konq_popupmenuplugin.h>
#include <QtCore/QVariantList>

class KJob;
namespace Nepomuk {
    class PersonContact;
}

class SendToPlugin : public KonqPopupMenuPlugin
{
    Q_OBJECT
public:
    SendToPlugin ( QObject* parent, const QVariantList & );
    virtual ~SendToPlugin();
    virtual void setup( KActionCollection* actionCollection, const KonqPopupMenuInformation& popupMenuInfo, QMenu* menu );

private slots:
    void onContactsMenuActivated(Nepomuk::PersonContact& contact, QVariant& data);
    void onOfferFileTransferJobInfoMessage(KJob* job, const QString &plain, const QString &rich);
    void handleOfferFileTransferJobResult(KJob* job);
};

#endif //SENDTOPLUGIN_H
