/***************************************************************************
 *   Copyright (C) 2004-2008 by Giovanni Venturi                           *
 *   giovanni@ksniffer.org                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301, USA.          *
 ***************************************************************************/

#ifndef DISPLAYDATA_H
#define DISPLAYDATA_H

#include "displaydata_base.h"

/**
  * @author Giovanni Venturi
 **/
class DisplayData : public DisplayDataBase
{
  Q_OBJECT

  public:
    /**
     * Window constructor
     */
    DisplayData( QWidget *parent = 0, const char *name = 0 );

    /**
     * Window destructor
     */
    ~DisplayData();

    /**
     * Set the text in the text area widget
     *
     * @param text is the text to show in the text area widget
     */
    void setText( const QString& text );

    /**
     * The application got the data now clicking on it you 'Accept' the dialog
     */
    void gotData();

    /**
     * The Save button is shown
     */
    void showSave();

  private slots:
    /**
     * copy text area into the clipboard (used by 'Copy' button)
     */
    void copyIntoClipboard();

    /**
     * Save the text area on a text file
     */
    void saveText();
};

#endif
