/***************************************************************************
 *   Copyright (C) 2004-2010 by Giovanni Venturi                           *
 *   giovanni@ksniffer.org                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301, USA.          *
 ***************************************************************************/

#ifndef NETWORKDEVICELIST_H
#define NETWORKDEVICELIST_H

#include <QtCore/QString>
#include <QtCore/QStringList>

#include "NetworkDevice.h"

class NetworkDeviceList
{
  public:
    NetworkDeviceList();
    ~NetworkDeviceList();

    void detect();
    QStringList interfaceList() const;

    // getting functions 
    NetworkDevice device( const QString& devName );
    QString name() const;
    QString ipAddress() const;
    QString netmask() const;
    QString state() const;
    //QString type() const;
    QString hwAddress() const;

  private:
    QList<NetworkDevice> m_netDeviceList;
    int m_index;
};

#endif
