/*****************************************************************************
 * Copyright (C) 2010 S.R.Haque <srhaque@theiet.org>                         *
 * Christoph Thielecke <crissi99@gmx.de> (broken out from kvpnc.h)           *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This package is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this package; if not, write to the Free Software               *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA *
 *****************************************************************************/

#include <QtCore/QString>
#include "HandlerBase.h"

class QProcess;
class KPtyProcess;
class KPtyDevice;

/**
 * Cisco vpnclient-based protocol handler (the original one, not the free one).
 */
class CiscoVpnclientHandler:
        public HandlerBase
{
    Q_OBJECT
public:
    CiscoVpnclientHandler(
        class KVpnc *ui,
        class KVpncConfig *config);
    bool vpnStart(bool authenticationRetry);
    void vpnStop();
    QString pingDevice() const;
private:
    bool ciscoVpncRunning; //< true if vpnclient is started and cipsec0 is up
    HelperProcess *TestCiscoVpncProcess;
    HelperProcess *CiscoVpncProcess; //< vpnclient

// TBD: DO these belong in CiscoVpncHandler or CiscoVpnClientHandler?
    QString CiscoVpncDevice;
    //KPtyProcess *VpncProcess;
    QString vpncConfig;
    KPtyDevice *VpncPty;
    bool sendingVpncConfigInProgress; // flag to hide config when read from pty device

    /**
     * TBD: can this be shared by other handlers?
     */
    bool getAuthenticationData(bool AuthRetry);

private slots:
    void readOutputFrom_ciscovpnc();
    void readCiscoVpncTestProcessOutput();
    bool checkCiscoVpncStatus();
    void startCiscoVpnc();
};
