/*
* Copyright (C) 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef DBUSTUBEDIALOG_H
#define DBUSTUBEDIALOG_H

#include <QWidget>
#include "ui_exampledialog.h"
#include <QDBusConnection>

#include "example.h"
#include "exampleinterface.h"

class KJob;

namespace Test {

class ExampleDialog : public QDialog, public Test::Ui::ExampleDialog
{
    Q_OBJECT
public:
    ExampleDialog(QWidget* parent);
    virtual ~ExampleDialog();

protected:
    bool registerExample();
    void useExample();
    QDBusConnection m_dbusConnection;

protected Q_SLOTS:
    void onPong();

private:
    Example* m_example;
    OrgFreedesktopTelepathyQt4ExampleInterface* m_exampleClient;

    friend class P2PDBusTubeHandler;
};

} // end namespace Test

#endif // DBUSTUBEDIALOG_H
