/*
* Copyright (C) 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef P2PDBUSTUBE_HANDLER_H
#define P2PDBUSTUBE_HANDLER_H

#include <QObject>
#include <TelepathyQt4/AbstractClientHandler>
#include "exampledialog.h"

class KJob;
class OrgFreedesktopTelepathyQt4ExampleInterface;
class Example;

namespace Test {

class P2PDBusTubeHandler : public QObject, public Tp::AbstractClientHandler
{
    Q_OBJECT
public:
    P2PDBusTubeHandler(QObject* parent);
    virtual ~P2PDBusTubeHandler();

    virtual bool bypassApproval() const;
    virtual void handleChannels(const Tp::MethodInvocationContextPtr<> & context,
                                const Tp::AccountPtr & account,
                                const Tp::ConnectionPtr & connection,
                                const QList<Tp::ChannelPtr> & channels,
                                const QList<Tp::ChannelRequestPtr> & requestsSatisfied,
                                const QDateTime & userActionTime,
                                const QVariantMap & handlerInfo);

private:
    QList<ExampleDialog*> dialogs;

private Q_SLOTS:
    void onInfoMessage(KJob* job, const QString &plain, const QString &rich);
    void onHandleP2PDBusTubeJobResult(KJob* job);

};

} // end namespace Test

#endif // P2PDBUSTUBE_HANDLER_H
