/*
 * Copyright 2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "addchanneldialog.h"

#include <KUrl>
#include <QWidget>
#include <QClipboard>
#include <QDialog>

namespace Videocatcher {

AddChannelDialog::AddChannelDialog(QWidget *parent) : QDialog(parent)
{
    setupUi(this);

    QClipboard *cb = QApplication::clipboard();
    QString text = cb->text(QClipboard::Clipboard);

    KUrl url(text);

    if (url.isValid()) {
        m_url->setText(text);
    }
}

} //namespace Videocatcher
