/*
 * Copyright 2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CHANNEL_H
#define CHANNEL_H

#include "config.h" //krazy:exclude=includes

#include <QList>
#include <QString>

namespace Videocatcher {

struct Episode {
    QString title;
    QString description;
    double datePublished;
    QString videoUrl;
    double videoSize;
};

struct ChannelPrivate;

class Channel
{
public:
    Channel();
    ~Channel();
    QString title() const;
    QString url() const;
    QString description() const;
    QString author() const;
    QString websiteUrl() const;
    QList<Episode> episodes() const;
    bool update(const QString &url) const;
    void setTitle(const QString &title);
    void setUrl(const QString &url);
    void setDescription(const QString &description);
    void setAuthor(const QString &author);
    void setWebsiteUrl(const QString &websiteUrl);
    void setEpisodes(const QList<Episode> &episodes);
    
private:
    struct ChannelPrivate;
    ChannelPrivate *const d;
};

} //namespace Videocatcher

#endif
