/*
 * Copyright 2010  Omar Plummer <rkoder@gmail.com>
 *           2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPISODEINFORMATIONWIDGET_H
#define EPISODEINFORMATIONWIDGET_H

#include "config.h" //krazy:exclude=includes

#include <QWidget>
#include <QString>

class QModelIndex;

class EpisodeInformationWidget : public QWidget
{
    Q_OBJECT

protected:

public:
    explicit EpisodeInformationWidget(QWidget *parent = 0, Qt::WindowFlags f = 0);
    virtual ~EpisodeInformationWidget();
    void clear();
    void setAttribute(const QString &label, const QString &value);
    void setTitle(const QString &title);

private:
    struct EpisodeInformationWidgetPrivate;
    EpisodeInformationWidgetPrivate *const d;
};

#endif // EPISODEINFORMATIONVIEW_H
