/*
 * Copyright 2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "loader.h"

#include "syndicationloader.h"
#include "dummyloader.h"

#include <QString>

namespace Videocatcher {

Loader* Loader::create(QString url)
{
#ifdef USE_DUMMY_LOADER
    return new DummyLoader(url);
#else
    return new SyndicationLoader(url);
#endif
}

} //namespace Videocatcher
