/*
 * Copyright 2010  Jonas Emanuel Müller <zanoi@zanoi.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SYNDICATIONLOADER_H
#define SYNDICATIONLOADER_H

#include "config.h" //krazy:exclude=includes
#include "loader.h"

#include <QList>
#include <QObject>
#include <syndication/syndication.h>
#include "channel.h"

class QString;

namespace Videocatcher {

class SyndicationLoader : public Loader
{
    Q_OBJECT
    
public:
    SyndicationLoader(QString url);
    virtual ~SyndicationLoader();
    virtual void load();
    
protected:
    QString channelUrl;

private slots:
    void syndicationLoadingComplete(Syndication::Loader* loader, Syndication::FeedPtr feed,
                                        Syndication::ErrorCode status);
};

} //namespace Videocatcher

#endif
